| optoICC

Loading...
Searching...
No Matches
optoICC.registers.icc_registers.ICCStaticInput Class Reference

Parent class => StaticInput
More...

Inheritance diagram for optoICC.registers.icc_registers.ICCStaticInput:

## Public Member Functions
| __init__ (self, int channel=0, board=None)
| SetFocalPower (self, value)
| Sets focal power on this channel [dpt].
| GetFocalPower (self)
| Gets focal power on this channel [dpt].

## Static Public Member Functions
| help ()

## Public Attributes
dict | active_type
dict | focal_power
| name = self.__class__.__name__

## Protected Attributes
| _channel

## Detailed Description

Parent class => StaticInput

        Input Channel Systems - USB/UART
        System IDs: 0x50 through 0x57

        +----------------+------+-------------+----------+-------------+---------+---------------------------------------+
        | Register Name  | Id   | Type        | Unit     | Range       | Default | Comment                               |
        +================+======+=============+==========+=============+=========+=======================================+
        | current        | 0x00 | float 32-bit| A        | -0.7 to 0.7 | 0.0     | Static input in amperes.              |
        +----------------+------+-------------+----------+-------------+---------+---------------------------------------+
        | active_input   | 0x03 | float 32-bit| None     |             | 0.0     | Determined by active control system.  |
        +----------------+------+-------------+----------+-------------+---------+---------------------------------------+
        | fp             | 0x04 | float 32-bit| DPT      |             | 0.0     | Static input in DPT.                  |
        +----------------+------+-------------+----------+-------------+---------+---------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoICC.registers.icc_registers.ICCStaticInput.__init__ | ( |  | self,
|  | int | channel = 0,
|  |  | board = None )

## Member Function Documentation

## ◆ help()

optoICC.registers.icc_registers.ICCStaticInput.help | ( |  | ) |
| static

## ◆ SetFocalPower()

optoICC.registers.icc_registers.ICCStaticInput.SetFocalPower | ( |  | self,
|  |  | value )

Sets focal power on this channel [dpt].

## ◆ GetFocalPower()

optoICC.registers.icc_registers.ICCStaticInput.GetFocalPower | ( |  | self | ) |

Gets focal power on this channel [dpt].

## Member Data Documentation

## ◆ active_type

dict optoICC.registers.icc_registers.ICCStaticInput.active_type

Initial value:
= {'id': self.sys_id << 8 | 0x03,
'type': float,
'unit': 'Integer',
'range': None,
'default': 0,
'value': 0}

## ◆ focal_power

dict optoICC.registers.icc_registers.ICCStaticInput.focal_power

Initial value:
= {'id': self.sys_id << 8 | 0x04,
'type': float,
'unit': 'Diopters',
'range': [-50, 50],
'default': 0.0,
'value': 0.0}

## ◆ name

optoICC.registers.icc_registers.ICCStaticInput.name = self.__class__.__name__

## ◆ _channel

optoICC.registers.icc_registers.ICCStaticInput._channel
| protected